%global pypi_name rq-scheduler
%global commitId a57ce1a2ace6bd6d018b51f1954aac5e950fb5a3

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.10.0
Release:        1%{?dist}
Summary:        Provides job scheduling capabilities to RQ

License:        MIT
URL:            https://github.com/rq/rq-scheduler
Source0:        python-rq-scheduler-a57ce1a2ace6bd6d018b51f1954aac5e950fb5a3.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Provides job scheduling capabilities to RQ

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:  python%{python3_pkgversion}-dateutil
Requires:  python%{python3_pkgversion}-rq >= 0.13
Requires:  python%{python3_pkgversion}-croniter >= 0.3.9

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
find . -type f -name '*.py' | xargs sed -i '1s|^#!.*|#!/usr/bin/python3.9|'

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/rqscheduler
%{python3_sitelib}/rq_scheduler
%{python3_sitelib}/rq_scheduler-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Feb 4 2022 Yanis Guenane <yguenane@redhat.com> - 0.10.0-1
- Initial package.
